SEC Filings

US Filing XBRL

Call GET /us/filings/{accession_number}/xbrl on the Corpus API.

GET /us/filings/{accession_number}/xbrl

Call GET /us/filings/{accession_number}/xbrl on the Corpus API.

Category: US · filings

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: us:read.

Request

NameInRequiredTypeConstraintsDescription
accession_numberpathyesstring

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/us/filings/0000320193-25-000079/xbrl' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonFilingFilesResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonFilingProcessingErrorResponse

Representative 200 response

{
  "accession_number": "0000320193-25-000079",
  "files": [
    {
      "file_name": "string",
      "role": "string",
      "storage_status": "string",
      "content_type": "string",
      "sec_url": "https://corpus-api.onera.app",
      "sha256": "string",
      "byte_size": 1
    }
  ],
  "meta": {
    "jurisdiction": "US",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}